QGIS Application - Bug report #18018
a virtual layer make the project empty
2018-02-01 10:33 AM - Lee Han

Status: Closed

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:2.18.16 Regression?: No

Operating System: windows 7 64 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 25914
Description

It is not the first time | encounter this issue. (It is been around a lot by the way.)
My qgis project has some postgis and shapefile layers plus a virtual_layer.

Open the project : it is empty, nothing in the list or in the canevas

Edit the .qgs, remove the <maplayer>...</maplayer> concerning the virtual_layer.
open again the .qgs and the project is ok.

Sometimes | can work with many virtual layers during days or weeks and suddenly, | don't know the reason why, the project may become
empty.

| have tested this with different computers, same behaviour. This has been going on since virtual layers were added (to my knowledge).
Copy of project attached.

History

#1 - 2018-03-26 02:23 PM - Enrico Fiore
| have noticed the same issue in QGIS 2.18.17.

If there is one or more virtual layers that refers to layers that are been renamed or removed, QGIS project will be loaded empty.

#2 - 2018-10-23 11:13 AM - Regis Haubourg
- Resolution set to not reproducable

- Priority changed from High to Normal

- Status changed from Open to Feedback

Could you provide a sample project file with data that allows to reproduce the issue. It tried to reproduce with no success here. (This is the hardest part in
fixing such issues, making the condition reproducible for itself, and then for others).

Did you try QGIS 3.x to test future 3.4 LTR ?

#3 - 2018-10-29 09:37 AM - Lee Han

I don't have any project file with the "bug" for now. If it happens, | will join it.
I am working with QGis 3.4 now. We'll see.

#4 - 2018-10-29 08:49 PM - Giovanni Manghi
- Status changed from Feedback to Closed
Files

plan_virtual_layer.qgs 155 KB 2018-02-01 Lee Han
